curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/{sampleId}/slice \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/{sampleId}/slice"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/{sampleId}/slice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"sample": {
"id": 2,
"filename": "idle01.d8Ae",
"signatureValidate": true,
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"category": "training",
"coldstorageFilename": "<string>",
"label": "healthy-machine",
"intervalMs": 16,
"frequency": 62.5,
"originalIntervalMs": 16,
"originalFrequency": 62.5,
"deviceType": "<string>",
"sensors": [
{
"index": 123,
"name": "accX",
"units": "<string>"
}
],
"valuesCount": 123,
"added": "2023-11-07T05:31:56Z",
"boundingBoxes": [
{
"label": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
],
"isDisabled": true,
"isProcessing": true,
"processingError": true,
"isCropped": true,
"projectId": 123,
"sha256Hash": "<string>",
"datastreams": [
{
"index": 123,
"intervalMs": 123,
"frequencyHz": 123,
"sensors": [
{
"index": 123,
"name": "accX",
"units": "<string>"
}
],
"valuesCount": 123,
"totalLengthMs": 123,
"imageDimensions": {
"width": 123,
"height": 123
}
}
],
"signatureMethod": "HS256",
"signatureKey": "<string>",
"deviceName": "<string>",
"totalLengthMs": 123,
"thumbnailVideo": "<string>",
"thumbnailVideoFull": "<string>",
"processingJobId": 123,
"processingErrorString": "<string>",
"metadata": {},
"projectOwnerName": "<string>",
"projectName": "<string>",
"structuredLabels": [
{
"startIndex": 123,
"endIndex": 123,
"label": "<string>",
"labelMap": {
"type": "key-values",
"labels": {}
}
}
],
"structuredLabelsList": [
"<string>"
],
"createdBySyntheticDataJobId": 123,
"imageDimensions": {
"width": 123,
"height": 123
},
"videoUrl": "<string>",
"videoUrlFull": "<string>",
"labelMap": {
"type": "key-values",
"labels": {}
},
"lastUpdatedBy": {
"type": "user",
"id": 123
}
},
"payload": {
"device_type": "DISCO-L475VG-IOT01A",
"sensors": [
{
"index": 123,
"name": "accX",
"units": "<string>"
}
],
"values": [
[
123
]
],
"intervalMs": 16,
"frequencyHz": 62.5,
"device_name": "ac:87:a3:0a:2d:1b",
"cropStart": 0,
"cropEnd": 128
},
"totalPayloadLength": 123,
"error": "<string>"
}Get sample slice
Get a slice of a sample. If you have multiple datastreams and OptionalDatastreamIndexParameter is not passed in, the first datastream is returned. sliceStart / sliceEnd are relative to the datastream.
Authorizations
Query Parameters
Begin index of the slice
End index of the slice. If not given, the sample will be sliced to the same length as the impulse input block window length.
Impulse ID. If this is unset then the default impulse is used.
Datastream index (defaults to 0)
If true, only a slice of labels will be returned for samples with multiple labels.
Response
OK
Whether the operation succeeded
Show child attributes
Show child attributes
If multiple payloads are present (one per datastream) this returns the first datastream.
Show child attributes
Show child attributes
Total number of payload values
Optional error description (set if 'success' was false)
Was this page helpful?